

.modal-backdrop {
    background-color: rgba(0, 0, 0, 0.815);
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 99999;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    padding: 0rem 6rem;
}

@media screen and (min-width: 300px) and (max-width: 500px) {   
    .modal-backdrop {
       padding: 0 2rem;
    }
}

.modal {
    display: flex;
    gap: 2rem;
    flex-direction: column;
    width: 100%;
    min-height: 20rem;
    margin-top: 4rem;
    height: max-content;
    background-color: rgb(19, 31, 136);
    color: white;
    padding: 2rem;
}
    @media screen and (min-width: 300px) and (max-width: 500px) {   
        .modal{
            padding: 1rem;
        }
    }


.modal-title{
    font-size: 2rem;
    font-family: Arial;
    font-weight: bold;
}
    @media screen and (min-width: 300px) and (max-width: 500px) {   
        .modal-title{
            font-size: 1.5rem;
        }
    }

.modal-text {
    line-height: 1.5;
}

.modal-text a {
    text-decoration: underline;
    color: white;
    font-family: Arial;
}

.modal__button{
    outline: none;
    border: none;
    align-self: flex-end;
    background-color: transparent;
    color: white;
    font-family: Arial;
    width: max-content;
    padding: 1rem;
    border: 1px white solid;
    font-size: 0.8rem;
    cursor: pointer;
}

    @media screen and (min-width: 300px) and (max-width: 500px) {   
        .modal__button{
            width: 100%;
        }
    }

.modal__hide{
    display: none;
}